/*   -*- buffer-read-only: t -*- vi: set ro:
 *  
 *  DO NOT EDIT THIS FILE   (directive.h)
 *  
 *  It has been AutoGen-ed  Sunday April 24, 2005 at 05:48:39 PM PDT
 *  From the definitions    directive.def
 *  and the template file   directive
 *
 *  copyright 1992-2005 Bruce Korb
 *
 *  AutoGen is free software.
 *  
 *  You may redistribute it and/or modify it under the terms of the
 *  GNU General Public License, as published by the Free Software
 *  Foundation; either version 2, or (at your option) any later version.
 *  
 *  AutoGen is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *  See the GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with AutoGen.  See the file "COPYING".  If not,
 *  write to:  The Free Software Foundation, Inc.,
 *             59 Temple Place - Suite 330,
 *             Boston,  MA  02111-1307, USA.
 */
#ifndef DIRECTIVE_DIRECTIVE_H_GUARD
#define DIRECTIVE_DIRECTIVE_H_GUARD
#ifdef DEFINING

typedef char* (tDirProc)( char* pzArg, char* pzScan );

typedef struct dir_table tDirTable;
struct dir_table {
    size_t      nameSize;
    tCC*        pzDirName;
    tDirProc*   pDirProc;
    int         unused;
};

/*
 *  Declare the procedures that will handle the directives
 */
static tDirProc doDir_IGNORE;
#define         doDir_assert doDir_IGNORE
static tDirProc doDir_define;
static tDirProc doDir_elif;
static tDirProc doDir_else;
static tDirProc doDir_endif;
static tDirProc doDir_endshell;
static tDirProc doDir_error;
#define         doDir_ident doDir_IGNORE
static tDirProc doDir_if;
static tDirProc doDir_ifdef;
static tDirProc doDir_ifndef;
static tDirProc doDir_include;
static tDirProc doDir_line;
static tDirProc doDir_option;
#define         doDir_pragma doDir_IGNORE
static tDirProc doDir_shell;
static tDirProc doDir_undef;

/*
 *  Define the constant string names for each directive
 */
static const char zDirectives[] =
    "assert\0"    "define\0"    "elif\0"      "else\0"      "endif\0"
    "endshell\0"  "error\0"     "ident\0"     "if\0"        "ifdef\0"
    "ifndef\0"    "include\0"   "line\0"      "option\0"    "pragma\0"
    "shell\0"     "undef\0";

/*
 *  Enumerate the directives
 */
typedef enum {
    DIR_ASSERT,   DIR_DEFINE,   DIR_ELIF,     DIR_ELSE,     DIR_ENDIF,
    DIR_ENDSHELL, DIR_ERROR,    DIR_IDENT,    DIR_IF,       DIR_IFDEF,
    DIR_IFNDEF,   DIR_INCLUDE,  DIR_LINE,     DIR_OPTION,   DIR_PRAGMA,
    DIR_SHELL,    DIR_UNDEF
} teDirectives;

/*
 *  Set up the table for handling each directive.
 */
#define DIRECTIVE_CT  17
static tDirTable dirTable[ DIRECTIVE_CT ] = {
    {  6, zDirectives +  0, doDir_assert,    0 },
    {  6, zDirectives +  7, doDir_define,    0 },
    {  4, zDirectives + 14, doDir_elif,      0 },
    {  4, zDirectives + 19, doDir_else,      0 },
    {  5, zDirectives + 24, doDir_endif,     0 },
    {  8, zDirectives + 30, doDir_endshell,  0 },
    {  5, zDirectives + 39, doDir_error,     0 },
    {  5, zDirectives + 45, doDir_ident,     0 },
    {  2, zDirectives + 51, doDir_if,        0 },
    {  5, zDirectives + 54, doDir_ifdef,     0 },
    {  6, zDirectives + 60, doDir_ifndef,    0 },
    {  7, zDirectives + 67, doDir_include,   0 },
    {  4, zDirectives + 75, doDir_line,      0 },
    {  6, zDirectives + 80, doDir_option,    0 },
    {  6, zDirectives + 87, doDir_pragma,    0 },
    {  5, zDirectives + 94, doDir_shell,     0 },
    {  5, zDirectives +100, doDir_undef,     0 } };

/*
 *  This text has been extracted from ./schemedef.scm
 */
#define SCHEME_INIT_FILE "directive.h"
#define SCHEME_INIT_LINE  131
tSCC zSchemeInit[] =
"(use-modules (ice-9 common-list))\n\
(define identifier?\n\
(lambda (x) (or (string? x) (symbol? x))))\n\
(define normalize-identifier\n\
(lambda (x)\n\
(if (string? x) (string->symbol x) x)))\n\
(define coerce->string\n\
(lambda (x)\n\
(let ((char->string (lambda (x) (make-string 1 x)))\n\
(coercable? (lambda (x)\n\
(or (string? x) (boolean? x) (char? x)\n\
(symbol? x) (list? x) (number? x)) )) )\n\
(if (not (coercable? x))\n\
(error \"Wrong type to coerce->string\" x))\n\
(cond\n\
((string? x)  (string-append\n\
(char->string #\\\") x (char->string #\\\")  ))\n\
((boolean? x) (if x \"#t\" \"#f\"))\n\
((char? x)    (char->string x))\n\
((number? x)  (number->string x))\n\
((symbol? x)  (symbol->string x))\n\
((list? x)    (if (every coercable? x)\n\
(apply string-append (map coerce->string x))  ))\n\
) ) ) )\n\
(define alist->autogen-def\n\
(lambda (lst . recursive)\n\
(if (null? recursive) (set! recursive #f)\n\
(set! recursive #t))\n\
(let ((res (if recursive \"{\\n\" \"\"))\n\
(list-nnul? (lambda (x) (and (list? x) (not (null? x))))))\n\
(do ((i lst (cdr i)))\n\
((null? i) (if recursive\n\
(string-append res \"}\")\n\
res))\n\
(let* ((kvpair (car i))\n\
(value (cdr kvpair))\n\
(value-is-alist (if (and (list-nnul? value)\n\
(list-nnul? (car value))\n\
(list-nnul? (caar value))\n\
(identifier? (caaar value)))\n\
#t #f)))\n\
(set! res (string-append res\n\
(coerce->string (normalize-identifier (car kvpair)))\n\
\" = \"\n\
(if value-is-alist\n\
(alist->autogen-def (car value) 1)\n\
(coerce->string (cdr kvpair)))\n\
\";\\n\"\n\
) ) ) ) ) )         )\n\
(define shell-cleanup \"\")\n\
(define header-file  \"\")\n\
(define header-guard \"\")\n\
(define (make-header-guard hdr-pfx)\n\
(begin\n\
(set! header-file  (out-name))\n\
(set! header-guard (string-upcase! (string->c-name! (string-append\n\
(if (string? hdr-pfx) hdr-pfx \"HEADER\") \"_\" header-file \"_GUARD\"\n\
))))\n\
(sprintf \"#ifndef %1$s\\n#define %1$s\" header-guard)\n\
) )\n\
(define autogen-version \"5.7\")\n\
(define c-file-line-fmt \"#line %2$d \\\"%1$s\\\"\\n\")\n\
(define-macro (defined-as predicate symbol)\n\
`(and (defined? ',symbol) (,predicate ,symbol)))\n\
(define html-escape-encode (lambda (str)\n\
(string-substitute str\n\
'(\"&\"      \"<\"     \">\")\n\
'(\"&amp;\"  \"&lt;\"  \"&gt;\") ) ))\n\
(use-modules (ice-9 debug))\n\
(read-enable 'positions)"; /* for emacs: ' */ /* " */

/*
 *  The shell initialization string.  It is not in "const" memory because
 *  we have to write our PID into it.
 */
static char zShellInit[] =
    "exec 8>&2 2>/dev/null\n\n"
       "if test -n \"${ZSH_VERSION+set}\" && (emulate sh) 1>&2\n"
       "then\n"
       "  emulate sh\n"
       "  NULLCMD=:\n\n"
       "else if test -n \"${BASH_VERSION+set}\" && (set -o posix) 1>&2\n"
       "then\n"
       "  set -o posix\n"
       "fi ; fi\n\n"
       "for f in 1 2 5 6 7 13 14\n"
       "do trap \"echo trapped on $f >&2\" $f ; done\n\n"
       "test -n \"${CDPATH}\" && {\n"
       "  CDPATH=''\n"
       "  unset CDPATH\n"
       "}\n"
       "( unalias cd ) 1>&2 && unalias cd\n"
       "die() {\n"
       "  echo $* >&8\n"
       "  kill -TERM ${AG_pid}\n"
       "  exit 1\n"
       "}\n"
       "exec 2>&8\n"
       "AG_pid=" "\000.........";

#ifdef DAEMON_ENABLED
typedef struct inet_family_map_s {
    const char*     pz_name;
    unsigned short  nm_len;
    unsigned short  family;
} inet_family_map_t;

#define INET_FAMILY_TYPE_CT 27
inet_family_map_t inet_family_map[ 28 ] = {
    { "appletalk:",   11, AF_APPLETALK },
    { "ash:",          5, AF_ASH },
    { "atmpvc:",       8, AF_ATMPVC },
    { "atmsvc:",       8, AF_ATMSVC },
    { "ax25:",         6, AF_AX25 },
    { "bluetooth:",   11, AF_BLUETOOTH },
    { "bridge:",       8, AF_BRIDGE },
    { "econet:",       8, AF_ECONET },
    { "inet6:",        7, AF_INET6 },
    { "inet:",         6, AF_INET },
    { "ipx:",          5, AF_IPX },
    { "irda:",         6, AF_IRDA },
    { "key:",          5, AF_KEY },
    { "llc:",          5, AF_LLC },
    { "local:",        7, AF_LOCAL },
    { "netbeui:",      9, AF_NETBEUI },
    { "netlink:",      9, AF_NETLINK },
    { "netrom:",       8, AF_NETROM },
    { "packet:",       8, AF_PACKET },
    { "pppox:",        7, AF_PPPOX },
    { "rose:",         6, AF_ROSE },
    { "security:",    10, AF_SECURITY },
    { "sna:",          5, AF_SNA },
    { "unix:",         6, AF_UNIX },
    { "unspec:",       8, AF_UNSPEC },
    { "wanpipe:",      9, AF_WANPIPE },
    { "x25:",          5, AF_X25 },
    { NULL, 0, 0 } };

#endif /* DAEMON_ENABLED */
#endif /* DEFINING */
#endif /* DIRECTIVE_DIRECTIVE_H_GUARD */
/*
 *  End of directive.h */
